<?php
namespace common\components\giro;

use common\components\giro\GiroBase;
use yii\helpers\VarDumper;
/**
 * @property common\components\giro\GiroUzenetsorszam $uzenetSorszam
 * @property common\components\giro\GiroBankszamla $kotelezettBankszamla
 * */
class GiroBeszedTetel extends GiroBase{
	
	public $rekordTipus = "02";
	/**
	 * 3 – 8
			T211
			tételsorszám
			N
			6
			K
	 * */
	public $tetelSorszam = 0;
	/**
	 * @var string $terhelesiDatum
	 * 9 – 16
		T212
		terhelési / esedékességi dátum
		N
		8
		ééééhhnn
		K
		ezen a dátumon (év, hó, nap) kell megterhelni a kötelezett számláját a beszedendő összeggel
	 * Ellenőrzés
	 * 9 – 16
		T212
		terhelési / esedékességi dátum 1
		érvényes / időhatáron belüli
		dátum?
		E <= D <= E + 8 ?
		33 T
		érvénytelen terhelési dátum
	 * 
	 * A ’D’ terhelési dátumnak érvényes naptári napnak kell lennie, valamint nem lehet kisebb
		és legfeljebb 8 munka- / elszámolási nappal lehet későbbi, mint az ’E’ elszámolási dátum.
	 * */
	public $terhelesiDatum = "";
	public $osszeg;
	public $kotelezettBankszamla;
	public $ugyfelazonositoAKezdemenyezonel;
	public $ugyfelNeve;
	public $ugyfelCime;
	public $szamlaTulajdonosNeve;
	public $kozlemeny;
	
	
	public function  __construct(){
		$this->kotelezettBankszamla = new GiroBankszamla();
	}
	
	public function toString(){
		return  $this->rekordTipus 
				. $this->szamKitolt($this->tetelSorszam,6) 
				. $this->terhelesiDatum
				. $this->szamKitolt($this->osszeg, 10) 
				. $this->kotelezettBankszamla->toString() 
				. $this->szovegKitolt($this->ugyfelazonositoAKezdemenyezonel ,24)
				. $this->szovegKitolt( $this->ugyfelNeve ,35 ) 
				. $this->szovegKitolt($this->ugyfelCime , 35 ) 
				. $this->szovegKitolt($this->szamlaTulajdonosNeve , 35 ) 
				. $this->szovegKitolt($this->kozlemeny , 70 )
				. $this->rekordVege()
				;
		
	}
	
	
}